Skip to main content
GET
/
api
/
v1
/
bko
/
routes
List Routes
curl --request GET \
  --url https://api.example.com/api/v1/bko/routes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/bko/routes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/bko/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cooperativeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "distanceKm": 123,
      "estimatedDuration": 123,
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deletedAt": "2023-11-07T05:31:56Z",
      "origin": {
        "pointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "lat": 123,
        "lng": 123,
        "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deletedAt": "2023-11-07T05:31:56Z"
      },
      "destination": {
        "pointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "lat": 123,
        "lng": 123,
        "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deletedAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 142,
    "totalPages": 15
  }
}
{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:10

Items per page

Example:

10

page
number
default:1

Page number

Example:

1

cooperativeId
string<uuid>

Cooperative identifier

transportOperatorId
string<uuid>

Filters routes by the currently approved transport operator. Currently approved transport operator identifier

Example:

"01980d30-6a3c-7a42-9182-17ad6324d3aa"

filter
string

Generic filter that matches against

  • origin
  • destination
Example:

"São Paulo"

destinationId
string<uuid>

Destination identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d"

originId
string<uuid>

Origin identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"

status
enum<string>

Route status

Available options:
PENDING_APPROVAL,
ACTIVE,
INACTIVE
Example:

"PENDING_APPROVAL"

sortBy
enum<string>
default:createdAt

Field to sort by

Available options:
distanceKm,
estimatedDuration,
createdAt
Example:

"createdAt"

sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

data
object[]
required
meta
object
required

Page-based pagination metadata.